Skip to main content

Cancel

For revoking bet transaction call /cancel.

Request Example

POST /cancel  HTTP/1.1
Content-Type: application/json
https://stg.otkgaming.com/cancel
{
"externalToken" : "valid-session-token",
"playerId" : "abc123",
"gameId" : "abc123",
"transactionId" : "abc123"
}

Property NameDescriptioTypeNotes
externalTokenplayer’s session tokenstring(255)value passed upon game launch as query parameter
playerIdunique player identifierstring(100)unique player’s identifier (received from platform on /info call)
gameIdgame identifier on game provider sidestring(255)game id where bet was placed (same as was passed during product launch)
transactionIdgame transaction idstring(255)unique transaction id on game provider’s side

Response Example

https://stg.otkgaming.com/cancel
{
"transactionId" : "abc123",
"externalTrxId" : "abc123",
"balance" : 9000
}

Property NameDescriptioTypeNotes
transactionIdgame provider’s transaction idstring(255)same as passed to request
externalTrxIdcommitted transaction id on Platform sidestring(255)transaction id on Platform side
balanceplayer’s remaining balancenumberin minor units(mostly cents)